Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
local_vars Struct Reference

## Data Fields
struct vtable * | args
struct vtable * | vars
struct vtable * | used
struct local_vars * | prev
struct {
NODE * outer
NODE * inner
NODE * current
} | numparam
struct {
NODE * outer
NODE * inner
NODE * current
} | numparam

## Detailed Description

Definition at line 214 of file ripper.c.

## Field Documentation

## ◆ args

struct vtable * local_vars::args

Definition at line 215 of file ripper.c.

## ◆ current

NODE * local_vars::current

Definition at line 224 of file ripper.c.

## ◆ inner

NODE * local_vars::inner

Definition at line 224 of file ripper.c.

## ◆ numparam [1/2]

struct { ... } local_vars::numparam

## ◆ numparam [2/2]

struct { ... } local_vars::numparam

## ◆ outer

NODE* local_vars::outer

Definition at line 224 of file ripper.c.

## ◆ prev

struct local_vars * local_vars::prev

Definition at line 221 of file ripper.c.

## ◆ used

struct vtable * local_vars::used

Definition at line 217 of file ripper.c.

## ◆ vars

struct vtable * local_vars::vars

Definition at line 216 of file ripper.c.

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c